Subject: Re: R: [Sigtran] testing Sigtran protocols

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 2 Feb 2007 06:09:19 -0700

Troiano,

On Fri, 02 Feb 2007, Troiano Marco wrote:

> Hi Brian,
> thank u for your informations. I would like to get more info about counters,
> measurements in Sigtran. Is there some standard about this issue? I mean
> something similar to Q.752 ITU in which there are all the measurements for
> SS7.

Unfortunately MIBs for the SIGTRAN protocols were never completed.  There is
an old MIB document for M3UA (draft-ietf-sigtran-m3ua-mib-08.txt) but it
is dead.

For M2UA, M3UA and SUA, the full set of Q.752 operational measurements are
applicable to the SS7 protocol stack at the entity providing the SS7 protocol
level.  Additional managed objects an operational measurements should appear
in MIBs but the WG was been lax on completing them.

For M2PA much of the Q.752 operational measurements for signalling links are
applicable.  The OpenSS7 open source implementation of M2PA implements the
following measurements from Q.752 with the following modifications:

Q.752/Table 1

1.1  - Duration of link in the In-service state
     - same as Q.703
1.2  - SL failure - All reasons
     - same as Q.703
1.3  - SL failure - Abnormal FIBR/BSNR
     - same as Q.703 but only for BSNR (there is no FIBR in M2PA so I use
       abnormal FSNR instead of FIBR)
1.4  - SL failure - Excessive delay of ack
     - same as Q.703 (on T7 expiry)
1.5  - SL failure - Excessive error rate
     - M2PA has no SUERM/EIM, so I map SCTP association failures are mapped
       to excessive error rate
1.6  - SL failure - Excessive duration of Congestion
     - same as Q.703 (on T6 expiry)
1.7  - SL alignment or proving failure
     - same as Q.703, but as M2PA has no AERM/EIM, SCTP association failure
       during the proving period is mapped to AERM/EIM failure
1.8  - Number of signal units received in error
     - not counted for M2PA (has no AERM/SUERM)
1.9  - Number of negative ack. Received
     - not counted for M2PA (has no negative ack)

Q.752/Table 2

2.1  - Duration of SL unavailability (for any reason)
     - same as Q.703
2.5  - Duration of SL unavailability due to local management actions
     - same as Q.703 but at MTP3 level
2.6  - Duration of SL unavailability due to remote management actions
     - same as Q.703 but at MTP3 level
2.7  - Duration of SL unavailability due to link failure
     - same as Q.703
2.9  - Duration of SL unavailability due to remote processor outage
     - same as Q.703
2.10 - Start of remote processor outage
     - same as Q.703
2.11 - Stop of remote processor outage
     - same as Q.703
2.15 - Duration of local busy
     - same as Q.703

Q.752/Table 3

3.1  - Number of SIF and SIO octets transmitted
     - same as Q.703
3.2  - Octets retransmitted
     - not applicable to M2PA (but see the SCTP MIB)
3.3  - Number of MSUs transmitted
     - same as Q.703
3.4  - Number of SIF and SIO octets receive
     - same as Q.703
3.5  - Number of MSUs received
     - same as Q.703
3.6  - SL congestion indications
     - same as Q.703
3.7  - Cumulative duration of SL congestion
     - same as Q.703
3.11 - Number of congestion events resulting in loss of MSUs
     - same as Q.703

I hope that helps.

--brian

> Thanks in advance
> Marco 

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran